# No Movement Event

### Update No movement event

This endpoint allows you to update a no movement event associated to a tracker.&#x20;

<mark style="color:green;">`PATCH`</mark> `{baseUrl}/tracker/event/:eventId`

#### Request Body

| Field                                | Type     | Required | Description                                                                         |
| ------------------------------------ | -------- | -------- | ----------------------------------------------------------------------------------- |
| `eventConfig`                        | `object` | ❌        | Configuration settings for the event.                                               |
| `eventConfig.minimumParkingDuration` | `number` | ❌        | The delay (in minutes) before the event is triggered after it stops.                |
| `eventNotification`                  | `object` | ❌        | Optional notification settings for the event.                                       |
| `eventNotification.acceptedMediums`  | `array`  | ❌        | A list of notification channels and their settings.                                 |
| `eventNotification.status`           | `string` | ❌        | Status of the notification configuration. Accepts either `"inactive"` or `"active"` |

#### Sample Success Data

```
//Sample Request Body
{
    "eventConfig": {
        "minimumParkingDuration": 20
    },
    "eventNotification": { 
      "acceptedMediums": [
        {
          "channel": "email",
          "isEnabled": true,
          "defaultEmail": [ "test@gmail.com" ]
        },
        {
          "channel": "sms",
          "isEnabled": true,
          "defaultPhone": [ "+2349088888888" ]
        },
        {
          "channel": "inApp",
          "isEnabled": false
        }
      ],
      "status": "active"
    }
}
```

#### Sample Success Response

```
//Sample success response
{
    "status": true,
    "message": "Tracker event successfully updated",
    "data": {}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/live-tracking-apis/events/update-events/no-movement-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
